> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List Online Users in a Channel > List all online users in a particular channel. ### Changelog | Version | Description | | ------- | ----------- | |0.52.0 | Added | |7.0.0 | Replaced `query` parameter with `_id` parameter | ## OpenAPI ````json GET /api/v1/channels.online { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.online": { "get": { "tags": [ "Channels" ], "summary": "List Online Users in a Channel", "description": "List all online users in a particular channel. \n### Changelog\n| Version | Description |\n| ------- | ----------- |\n|0.52.0 | Added |\n|7.0.0 | Replaced `query` parameter with `_id` parameter |", "operationId": "get-api-v1-channels.online", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "_id", "in": "query", "description": "The channel's id.", "required": true, "schema": { "type": "string", "example": "5HmCfpoB7jp2uibTC" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "online": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Example": { "value": { "online": [ { "_id": "47cRd58HnWwpqxhaZ", "username": "test" }, { "_id": "BsxzC22xQ43taWdff", "username": "uniqueusername" } ], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````